Index: branches/src/ProcessManagement/ProcessManagement/Forms/ZMenu/FrmMenuAuxiliary.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/ZMenu/FrmMenuAuxiliary.cs	(revision 50)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/ZMenu/FrmMenuAuxiliary.cs	(revision 51)
@@ -3749,18 +4328,18 @@
         /// <param name="DepartmentRec"></param>
         /// <param name="PersonRec"></param>
         /// <param name="ActionRec"></param>
-        private void SetActionArrayListToRecTypeA(object[] InData
+        private void SetActionArrayListToRecTypeA(IOMDepartment dmDB
+                                            , IOMPersonInCharge picDB
+                                            , IOActionScheduleData asdDB
+                                            , object[] InData
                                             , ref DepartmentMaster DepartmentRec
                                             , ref PersonInChargeMaster PersonRec
                                             , ref ActionScheduleData ActionRec)
         {
-            IOMDepartment dmDB = new IOMDepartment();
-            IOMPersonInCharge picDB = new IOMPersonInCharge();
-            IOActionScheduleData asdDB = new IOActionScheduleData();
             try
             {
                 int DBDepartmentCnt = Enum.GetNames(typeof(IOMDepartment.NameColumn)).Length;                 // 部署マスタフィールドカウント
-                int DBPersonCnt = Enum.GetNames(typeof(IOMPersonInCharge.NameColumn)).Length;                 // 担当者マスタフィールドカウント
+                int DBPersonCnt = Enum.GetNames(typeof(IOMPersonInCharge.ColumnCnt)).Length;                 // 担当者マスタフィールドカウント
                 int DBActionDaysCnt = Enum.GetNames(typeof(IOActionScheduleData.NameColumn)).Length;          // 担当者行動予定データフィールドカウント
 
                 dmDB.ClearStruct(ref DepartmentRec);
@@ -3789,12 +4368,6 @@
             {
                 logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
             }
-            finally
-            {
-                dmDB.close(); dmDB = null;
-                picDB.close(); picDB = null;
-                asdDB.close(); asdDB = null;
-            }
         }
         #endregion
 
@@ -3802,18 +4375,15 @@
         /// <summary>
         /// 行動予定一覧データ構造体セット(TypeB)
         /// </summary>
-        /// <param name="InData"></param>
-        /// <param name="PersonRec"></param>
-        /// <param name="ActionRec"></param>
-        private void SetActionArrayListToRecTypeB(object[] InData
+        private void SetActionArrayListToRecTypeB(IOMPersonInCharge picDB
+                                            , IOActionScheduleData asdDB
+                                            , object[] InData
                                             , ref PersonInChargeMaster PersonRec
                                             , ref ActionScheduleData ActionRec)
         {
-            IOMPersonInCharge picDB = new IOMPersonInCharge();
-            IOActionScheduleData asdDB = new IOActionScheduleData();
             try
             {
-                int DBPersonCnt = Enum.GetNames(typeof(IOMPersonInCharge.NameColumn)).Length;                 // 担当者マスタフィールドカウント
+                int DBPersonCnt = Enum.GetNames(typeof(IOMPersonInCharge.ColumnCnt)).Length;                 // 担当者マスタフィールドカウント
                 int DBActionDaysCnt = Enum.GetNames(typeof(IOActionScheduleData.NameColumn)).Length;          // 担当者行動予定データフィールドカウント
 
                 picDB.ClearStruct(ref PersonRec);
@@ -3833,11 +4403,6 @@
             {
                 logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
             }
-            finally
-            {
-                picDB.close(); picDB = null;
-                asdDB.close(); asdDB = null;
-            }
         }
         #endregion
 
@@ -3855,7 +4420,6 @@
             {
                 int DspRowCnt = 0;
                 DataGridView dgv = dgvActionSchedule;
-
                 // クリアする
                 ClearActionList();
 
@@ -3899,7 +4463,8 @@
                 string strSQL = "SELECT *";
                 strSQL += " FROM DEPARTMENTMASTER A, PERSONINCHARGEMASTER B";
                 strSQL += " LEFT OUTER JOIN ACTIONSCHEDULEDATA C ON B.PERSONCODE = C.PERSONCODE";
-                strSQL += String.Format(" AND (DATE_FORMAT('{0}','%Y/%m/%d') <= TargetDate AND TargetDate <= DATE_FORMAT('{1}','%Y/%m/%d'))"
+                //strSQL += String.Format(" AND (TO_DATE('{0}','YYYY/MM/DD') <= TargetDate AND TargetDate <= TO_DATE('{1}','YYYY/MM/DD'))"
+                strSQL += String.Format(" AND (STR_TO_DATE('{0}','%Y/%m/%d') <= TargetDate AND TargetDate <= STR_TO_DATE('{1}','%Y/%m/%d'))"
                                         , ColenderStartDate.ToShortDateString(), ColenderEndDate.ToShortDateString());
                 strSQL += " Where A.ACTIONSCHEDULEFLG = 0";
                 strSQL += " AND A.DEPARTMENTCODE = B.DEPARTMENTCODE";
@@ -3917,7 +4482,7 @@
                 foreach (object[] DataRec in DataList)
                 {
                     // オブジェクト配列より構造体へセット
-                    SetActionArrayListToRecTypeA(DataRec, ref DepartmentRec, ref PersonRec, ref ActionRec);
+                    SetActionArrayListToRecTypeA(dmDB, picDB, asdDB, DataRec, ref DepartmentRec, ref PersonRec, ref ActionRec);
 
                     // 担当者が同じならば処理しない
                     if (BreakPerSonCode == PersonRec.PersonCode) continue;
@@ -3957,7 +4522,7 @@
                     // --------------- 行動予定の表示
                     List<KeyValuePair<DateTime, string>> ActionList = new List<KeyValuePair<DateTime, string>>();
                     // データ取得
-                    GetActionListTypeA(PersonRec.PersonCode, DataList, ref ActionList);
+                    GetActionListTypeA(dmDB, picDB, asdDB, PersonRec.PersonCode, DataList, ref ActionList);
 
                     foreach (KeyValuePair<DateTime, string> DayDataRec in ActionList)
                     {
@@ -4000,10 +4565,10 @@
         /// <summary>
         /// 担当者データ取得(TypeA)
         /// </summary>
-        /// <param name="PersonCode"></param>
-        /// <param name="DataList"></param>
-        /// <param name="ActionList"></param>
-        private void GetActionListTypeA(int PersonCode, ArrayList DataList, ref List<KeyValuePair<DateTime, string>> ActionList)
+        private void GetActionListTypeA(IOMDepartment dmDB
+                                            , IOMPersonInCharge picDB
+                                            , IOActionScheduleData asdDB
+                                            , int PersonCode, ArrayList DataList, ref List<KeyValuePair<DateTime, string>> ActionList)
         {
             try
             {
@@ -4014,7 +4579,7 @@
                 foreach (object[] DataRec in DataList)
                 {
                     // オブジェクト配列より構造体へセット
-                    SetActionArrayListToRecTypeA(DataRec, ref DepartmentRec, ref PersonRec, ref ActionRec);
+                    SetActionArrayListToRecTypeA(dmDB, picDB, asdDB, DataRec, ref DepartmentRec, ref PersonRec, ref ActionRec);
 
                     // 担当者が違えば処理しない
                     if (PersonCode != PersonRec.PersonCode)
@@ -4039,10 +4604,9 @@
         /// <summary>
         /// 担当者データ取得(TypeB)
         /// </summary>
-        /// <param name="PersonCode"></param>
-        /// <param name="DataList"></param>
-        /// <param name="ActionList"></param>
-        private void GetActionListTypeB(int PersonCode, ArrayList DataList, ref List<KeyValuePair<DateTime, string>> ActionList)
+        private void GetActionListTypeB(IOMPersonInCharge picDB
+                                        , IOActionScheduleData asdDB
+                                        , int PersonCode, ArrayList DataList, ref List<KeyValuePair<DateTime, string>> ActionList)
         {
             try
             {
@@ -4052,7 +4616,7 @@
                 foreach (object[] DataRec in DataList)
                 {
                     // オブジェクト配列より構造体へセット
-                    SetActionArrayListToRecTypeB(DataRec, ref PersonRec, ref ActionRec);
+                    SetActionArrayListToRecTypeB(picDB, asdDB, DataRec, ref PersonRec, ref ActionRec);
 
                     // 担当者が違えば処理しない
                     if (PersonCode != PersonRec.PersonCode)
@@ -4096,7 +4660,8 @@
                 string strSQL = "SELECT *";
                 strSQL += " FROM PERSONINCHARGEMASTER B";
                 strSQL += " LEFT OUTER JOIN ACTIONSCHEDULEDATA C ON B.PERSONCODE = C.PERSONCODE";
-                strSQL += String.Format(" AND (DATE_FORMAT('{0}','%Y/%m/%d') <= TargetDate AND TargetDate <= DATE_FORMAT('{1}','%Y/%m/%d'))"
+                //strSQL += String.Format(" AND (TO_DATE('{0}','YYYY/MM/DD') <= TargetDate AND TargetDate <= TO_DATE('{1}','YYYY/MM/DD'))"
+                strSQL += String.Format(" AND (STR_TO_DATE('{0}','%Y/%m/%d') <= TargetDate AND TargetDate <= STR_TO_DATE('{1}','%Y/%m/%d'))"
                                         , ColenderStartDate.ToShortDateString(), ColenderEndDate.ToShortDateString());
                 strSQL += string.Format(" Where B.EmployeeClassFlg = {0}", (int)CommonDefine.EmployeeClassFlg.OutSource);
                 strSQL += " AND B.DELETEFLG = 0";
@@ -4111,7 +4676,7 @@
                 foreach (object[] DataRec in DataList)
                 {
                     // オブジェクト配列より構造体へセット
-                    SetActionArrayListToRecTypeB(DataRec, ref PersonRec, ref ActionRec);
+                    SetActionArrayListToRecTypeB(picDB, asdDB, DataRec, ref PersonRec, ref ActionRec);
 
                     // 担当者が同じならば処理しない
                     if (BreakPerSonCode == PersonRec.PersonCode) continue;
@@ -4151,7 +4716,7 @@
                     // --------------- 行動予定の表示
                     List<KeyValuePair<DateTime, string>> ActionList = new List<KeyValuePair<DateTime, string>>();
                     // データ取得
-                    GetActionListTypeB(PersonRec.PersonCode, DataList, ref ActionList);
+                    GetActionListTypeB(picDB, asdDB, PersonRec.PersonCode, DataList, ref ActionList);
 
                     foreach (KeyValuePair<DateTime, string> DayDataRec in ActionList)
                     {
@@ -4190,19 +4755,19 @@
         /// <param name="VehicleRec"></param>
         /// <param name="VehicleSRec"></param>
         /// <param name="ActionRec"></param>
-        private void SetVehicleArrayListToRec(object[] InData
+        private void SetVehicleArrayListToRec(IOMVehicle vcDB
+                                            , IOVehicleScheduleData vsdDB
+                                            , IOMPersonInCharge picDB
+                                            , object[] InData
                                             , ref VehicleMaster VehicleRec
                                             , ref VehicleScheduleData VehicleSRec
                                             , ref PersonInChargeMaster PersonRec)
         {
-            IOMVehicle vcDB = new IOMVehicle();
-            IOVehicleScheduleData vsdDB = new IOVehicleScheduleData();
-            IOMPersonInCharge picDB = new IOMPersonInCharge();
             try
             {
                 int DBVehicleCnt = Enum.GetNames(typeof(IOMVehicle.NameColumn)).Length;                 // 車両マスタフィールドカウント
                 int DBVehicleSCnt = Enum.GetNames(typeof(IOVehicleScheduleData.NameColumn)).Length;     // 車両スケジュールフィールドカウント
-                int DBPersonCnt = Enum.GetNames(typeof(IOMPersonInCharge.NameColumn)).Length;           // 担当者マスタフィールドカウント
+                int DBPersonCnt = Enum.GetNames(typeof(IOMPersonInCharge.ColumnCnt)).Length;           // 担当者マスタフィールドカウント
 
                 vcDB.ClearStruct(ref VehicleRec);
                 vsdDB.ClearStruct(ref VehicleSRec);
@@ -4230,12 +4795,6 @@
             {
                 logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
             }
-            finally
-            {
-                vcDB.close(); vcDB = null;
-                vsdDB.close(); vsdDB = null;
-                picDB.close(); picDB = null;
-            }
         }
         #endregion
 
@@ -4283,10 +4842,10 @@
         /// <summary>
         /// 車両予約データ取得
         /// </summary>
-        /// <param name="PersonCode"></param>
-        /// <param name="DataList"></param>
-        /// <param name="ActionList"></param>
-        private void GetVehicleReserveList(int VehicleCode, ArrayList DataList, ref List<VehicleResurveData> ReserveList)
+        private void GetVehicleReserveList(IOMVehicle vcDB
+                                            , IOVehicleScheduleData vsdDB
+                                            , IOMPersonInCharge picDB
+                                            , int VehicleCode, ArrayList DataList, ref List<VehicleResurveData> ReserveList)
         {
             try
             {
@@ -4297,7 +4856,7 @@
                 foreach (object[] DataRec in DataList)
                 {
                     // オブジェクト配列より構造体へセット
-                    SetVehicleArrayListToRec(DataRec, ref VehicleRec, ref VehicleSRec, ref PersonRec);
+                    SetVehicleArrayListToRec(vcDB, vsdDB, picDB, DataRec, ref VehicleRec, ref VehicleSRec, ref PersonRec);
 
                     // 車両が違えば処理しない
                     if (VehicleCode != VehicleRec.VehicleCode)
@@ -4344,7 +4903,8 @@
                 // --------------- 車両の表示
                 string strSQL = "SELECT * FROM VEHICLEMASTER A";
                 strSQL += " LEFT JOIN VEHICLESCHEDULEDATA B ON A.VEHICLECODE = B.VEHICLECODE";
-                strSQL += String.Format(" AND (DATE_FORMAT('{0}','%Y/%m/%d') <= TargetDate AND TargetDate <= DATE_FORMAT('{1}','%Y/%m/%d'))"
+                //strSQL += String.Format(" AND (TO_DATE('{0}','YYYY/MM/DD') <= TargetDate AND TargetDate <= TO_DATE('{1}','YYYY/MM/DD'))"
+                strSQL += String.Format(" AND (STR_TO_DATE('{0}','%Y/%m/%d') <= TargetDate AND TargetDate <= STR_TO_DATE('{1}','%Y/%m/%d'))"
                                         , ColenderStartDate.ToShortDateString(), ColenderEndDate.ToShortDateString());
                 strSQL += " LEFT JOIN PERSONINCHARGEMASTER C ON B.PERSONCODE = C.PERSONCODE";
                 strSQL += " WHERE VehicleScheduleFlg = 0";
@@ -4366,7 +4926,7 @@
                 foreach (object[] vcData in vcList)
                 {
                     // オブジェクト配列より構造体へセット
-                    SetVehicleArrayListToRec(vcData, ref VehicleRec, ref VehicleSRec, ref PersonRec);
+                    SetVehicleArrayListToRec(vcDB, vsdDB, picDB, vcData, ref VehicleRec, ref VehicleSRec, ref PersonRec);
 
                     // 車両が同じならば処理しない
                     if (BreakCode == VehicleRec.VehicleCode) continue;
@@ -4395,7 +4955,7 @@
 
                     // --------------- 車両予約の表示
                     List<VehicleResurveData> ReserveList = new List<VehicleResurveData>();
-                    GetVehicleReserveList(VehicleRec.VehicleCode, vcList, ref ReserveList);
+                    GetVehicleReserveList(vcDB, vsdDB, picDB, VehicleRec.VehicleCode, vcList, ref ReserveList);
 
                     foreach (VehicleResurveData wrkDay in ReserveList)
                     {
@@ -4728,7 +5288,7 @@
             IOMPersonInCharge picDB = new IOMPersonInCharge();
             IOMHolidayCalender hcDB = new IOMHolidayCalender();
             dgvStaffAssignment.SuspendLayout();
-            m_bStaffAssignInitFlg = true;
+            //m_bStaffAssignInitFlg = true;
             int HDisplayCnt = -1;
             int VDisplayCnt = -1;
 
@@ -4778,8 +5338,15 @@
                 string BaseSQL = "SELECT A1, A2, MIN(A3), MAX(A4), A5, A6, A7, A8, A9, A10, A11, A12, A13 FROM";
                 BaseSQL += " (SELECT A.ConstructionCode A1,";
                 BaseSQL += " A.ConstructionPersonCode A2,";
+                //BaseSQL += " TO_CHAR(A.ConstructionPeriodStart, 'YYYY/MM/DD') A3,";
+                //BaseSQL += " TO_CHAR(A.ConstructionPeriodEnd, 'YYYY/MM/DD') A4,";
+                //BaseSQL += " TO_CHAR(A.OrderDate, 'YYYY/MM/DD') A5,";
+                //BaseSQL += " TO_CHAR(A.OrderCompletionDate, 'YYYY/MM/DD') A6,";
+                //BaseSQL += " TO_CHAR(A.BillingStartDate, 'YYYY/MM/DD') A7,";
+                //BaseSQL += " TO_CHAR(A.OrderStartingDate, 'YYYY/MM/DD') A8,";
                 BaseSQL += " DATE_FORMAT(A.ConstructionPeriodStart, '%Y/%m/%d') A3,";
                 BaseSQL += " DATE_FORMAT(A.ConstructionPeriodEnd, '%Y/%m/%d') A4,";
+                //BaseSQL += " DATE_FORMAT(A.OrderDate, 'YYYY/MM/DD') A5,";
                 BaseSQL += " DATE_FORMAT(A.OrderDate, '%Y/%m/%d') A5,";
                 BaseSQL += " DATE_FORMAT(A.OrderCompletionDate, '%Y/%m/%d') A6,";
                 BaseSQL += " DATE_FORMAT(A.BillingStartDate, '%Y/%m/%d') A7,";
@@ -4788,6 +5355,7 @@
                 BaseSQL += " C.DISPLAYORDER A10,";
                 BaseSQL += " B.DISPLAYORDER A11,";
                 BaseSQL += " A.OrderDate A12,";
+                //BaseSQL += " TO_CHAR(A.ConstructionPeriodEnd2, 'YYYY/MM/DD') A13";
                 BaseSQL += " DATE_FORMAT(A.ConstructionPeriodEnd2, '%Y/%m/%d') A13";
                 BaseSQL += " FROM ConstructionBaseInfo A, PERSONINCHARGEMASTER B, DEPARTMENTMASTER C";
 
@@ -4997,7 +5565,7 @@
                 dmDB.close(); dmDB = null;
                 picDB.close(); picDB = null;
                 hcDB.close(); hcDB = null;
-                m_bStaffAssignInitFlg = false;
+                //m_bStaffAssignInitFlg = false;
 
                 // スクロール現在値取得
                 if (HDisplayCnt != -1) dgv.FirstDisplayedScrollingColumnIndex = HDisplayCnt;
@@ -5416,7 +5984,6 @@
         }
         #endregion
         #endregion
-
         #endregion
     }
 }
